#!/usr/bin/env python
#coding=utf-8
#***********************************************************************
# * Copyright     Copyright(c) 2019 - Hisilicon Technoligies Co., Ltd.
# * Filename      field_0x1100010_0000.py
# * Description   analysis maa dump
#***********************************************************************
'''
Created on 2020-1-9
 
@author: Neo
'''
import os
import re
import struct
import sys

maa_field_def = [
"MAA_GLB_CTRL_REG",              	0x0   ,       
"MAA_AXI_BUS_CFG_REG",           	0x4   ,         
"MAA_VERSION_REG",               	0x8   ,         
"MAA_LP_EN_REG",                 	0xC   ,          
"MAA_LP_STAT_REG",               	0x10  ,       
"MAA_AUTOCLK_RESP_BYPASS_REG",   	0x14  ,           
"MAA_OPIPE_STAT_REG",            	0x18  ,   
"MAA_IPIPE_STAT0_REG",           	0x1C  ,    
"MAA_IPIPE_STAT1_REG",           	0x20  ,     
"MAA_OPIPE_INT_MSK_REG",         	0x24  ,
"MAA_OPIPE_INT_STAT_REG",        	0x28  ,
"MAA_OPIPE_INT_RAW_REG",         	0x2C  ,
"MAA_IPIPE_INT_RAW0_REG",        	0x30  ,
"MAA_IPIPE_INT_MSK0_REG",        	0x34  ,
"MAA_IPIPE_INT_STAT0_REG",       	0x38  ,
"MAA_IPIPE_INT_RAW1_REG",        	0x3C  ,
"MAA_IPIPE_INT_MSK1_REG",        	0x40  ,
"MAA_IPIPE_INT_STAT1_REG",       	0x44  ,
"MAA_IPIPE_INT_RAW2_REG",        	0x48  ,
"MAA_IPIPE_INT_MSK2_REG",        	0x4C  ,
"MAA_IPIPE_INT_STAT2_REG",       	0x50  ,
"MAA_IPIPE_INT_RAW3_REG",        	0x54 ,
"MAA_IPIPE_INT_MSK3_REG",        	0x58 ,
"MAA_IPIPE_INT_STAT3_REG",       	0x5C ,
"MAA_IPIPE_INT_RAW4_REG",        	0x60 ,
"MAA_IPIPE_INT_MSK4_REG",        	0x64 ,
"MAA_IPIPE_INT_STAT4_REG",       	0x68 ,
"MAA_IPIPE_INT_RAW5_REG",        	0x6C  ,
"MAA_IPIPE_INT_MSK5_REG",        	0x70  ,
"MAA_IPIPE_INT_STAT5_REG",       	0x74  ,
"MAA_OPIPE_CFG_DONE_REG",        	0x78  ,
"MAA_HAC_GIF_128SPLIT_REG",      	0x80  ,
"MAA_HAC_GIF_MAX_LEN_REG",       	0x84  ,
"MAA_HAC_GIF_PRIOR_REG",         	0x88  ,
"MAA_TIMER_EN_REG",              	0x90  ,
"MAA_TIMER_WATCHCNT_REG",        	0x94  ,
"MAA_ALLOC_ADDR_L_0_REG",        	0x200 ,
"MAA_ALLOC_ADDR_L_1_REG",        	0x208 ,
"MAA_ALLOC_ADDR_L_2_REG",        	0x210 ,
"MAA_ALLOC_ADDR_L_3_REG",        	0x218 ,
"MAA_ALLOC_ADDR_L_4_REG",        	0x220 ,
"MAA_ALLOC_ADDR_L_5_REG",        	0x228 ,
"MAA_ALLOC_ADDR_L_6_REG",        	0x230 ,
"MAA_ALLOC_ADDR_L_7_REG",        	0x238 ,
"MAA_ALLOC_ADDR_L_8_REG",        	0x240 ,
"MAA_ALLOC_ADDR_L_9_REG",        	0x248 ,
"MAA_ALLOC_ADDR_L_10_REG",       	0x250 ,
"MAA_ALLOC_ADDR_L_11_REG",       	0x258 ,
"MAA_ALLOC_ADDR_L_12_REG",       	0x260 ,
"MAA_ALLOC_ADDR_L_13_REG",       	0x268 ,
"MAA_ALLOC_ADDR_L_14_REG",       	0x270 ,
"MAA_ALLOC_ADDR_L_15_REG",       	0x278 ,
"MAA_ALLOC_ADDR_L_16_REG",       	0x280 ,
"MAA_ALLOC_ADDR_L_17_REG",       	0x288 ,
"MAA_ALLOC_ADDR_L_18_REG",       	0x290 ,
"MAA_ALLOC_ADDR_L_19_REG",       	0x298 ,
"MAA_ALLOC_ADDR_L_20_REG",       	0x2A0 ,
"MAA_ALLOC_ADDR_L_21_REG",       	0x2A8 ,
"MAA_ALLOC_ADDR_L_22_REG",       	0x2B0 ,
"MAA_ALLOC_ADDR_L_23_REG",       	0x2B8 ,
"MAA_ALLOC_ADDR_L_24_REG",       	0x2C0 ,
"MAA_ALLOC_ADDR_L_25_REG",       	0x2C8 ,
"MAA_ALLOC_ADDR_L_26_REG",       	0x2D0 ,
"MAA_ALLOC_ADDR_L_27_REG",       	0x2D8 ,
"MAA_ALLOC_ADDR_L_28_REG",       	0x2E0 ,
"MAA_ALLOC_ADDR_L_29_REG",       	0x2E8 ,
"MAA_ALLOC_ADDR_L_30_REG",       	0x2F0 ,
"MAA_ALLOC_ADDR_L_31_REG",       	0x2F8 ,
"MAA_ALLOC_ADDR_L_32_REG",       	0x300 ,
"MAA_ALLOC_ADDR_L_33_REG",       	0x308 ,
"MAA_ALLOC_ADDR_L_34_REG",       	0x310 ,
"MAA_ALLOC_ADDR_L_35_REG",       	0x318 ,
"MAA_ALLOC_ADDR_L_36_REG",       	0x320 ,
"MAA_ALLOC_ADDR_L_37_REG",       	0x328 , 
"MAA_ALLOC_ADDR_L_38_REG",       	0x330 ,
"MAA_ALLOC_ADDR_L_39_REG",       	0x338 ,
"MAA_ALLOC_ADDR_L_40_REG",       	0x340 ,
"MAA_ALLOC_ADDR_L_41_REG",       	0x348 ,   
"MAA_ALLOC_ADDR_L_42_REG",       	0x350 ,  
"MAA_ALLOC_ADDR_L_43_REG",       	0x358 ,  
"MAA_ALLOC_ADDR_L_44_REG",       	0x360 ,  
"MAA_ALLOC_ADDR_L_45_REG",       	0x368 ,   
"MAA_ALLOC_ADDR_L_46_REG",       	0x370 ,   
"MAA_ALLOC_ADDR_L_47_REG",       	0x378 ,   
"MAA_ALLOC_ADDR_L_48_REG",       	0x380 ,    
"MAA_ALLOC_ADDR_L_49_REG",       	0x388 ,    
"MAA_ALLOC_ADDR_L_50_REG",       	0x390 , 
"MAA_ALLOC_ADDR_L_51_REG",       	0x398 ,
"MAA_ALLOC_ADDR_L_52_REG",       	0x3A0 ,
"MAA_ALLOC_ADDR_L_53_REG",       	0x3A8 ,
"MAA_ALLOC_ADDR_L_54_REG",       	0x3B0 ,   
"MAA_ALLOC_ADDR_L_55_REG",       	0x3B8 ,  
"MAA_ALLOC_ADDR_L_56_REG",       	0x3C0 ,  
"MAA_ALLOC_ADDR_L_57_REG",       	0x3C8 ,  
"MAA_ALLOC_ADDR_L_58_REG",       	0x3D0 ,   
"MAA_ALLOC_ADDR_L_59_REG",       	0x3D8 ,   
"MAA_ALLOC_ADDR_L_60_REG",       	0x3E0 ,   
"MAA_ALLOC_ADDR_L_61_REG",       	0x3E8 ,    
"MAA_ALLOC_ADDR_L_62_REG",       	0x3F0 ,    
"MAA_ALLOC_ADDR_L_63_REG",       	0x3F8 , 
"MAA_ALLOC_ADDR_L_64_REG",       	0x400 ,
"MAA_ALLOC_ADDR_L_65_REG",       	0x408 ,
"MAA_ALLOC_ADDR_L_66_REG",       	0x410 ,
"MAA_ALLOC_ADDR_L_67_REG",       	0x418 ,   
"MAA_ALLOC_ADDR_L_68_REG",       	0x420 ,  
"MAA_ALLOC_ADDR_L_69_REG",       	0x428 ,  
"MAA_ALLOC_ADDR_L_70_REG",       	0x430 ,  
"MAA_ALLOC_ADDR_L_71_REG",       	0x438 ,   
"MAA_ALLOC_ADDR_L_72_REG",       	0x440 ,   
"MAA_ALLOC_ADDR_L_73_REG",       	0x448 ,   
"MAA_ALLOC_ADDR_L_74_REG",       	0x450 ,    
"MAA_ALLOC_ADDR_L_75_REG",       	0x458 ,    
"MAA_ALLOC_ADDR_L_76_REG",       	0x460 , 
"MAA_ALLOC_ADDR_L_77_REG",       	0x468 ,
"MAA_ALLOC_ADDR_L_78_REG",       	0x470 ,
"MAA_ALLOC_ADDR_L_79_REG",       	0x478 ,
"MAA_ALLOC_ADDR_L_80_REG",       	0x480 ,   
"MAA_ALLOC_ADDR_L_81_REG",       	0x488 ,  
"MAA_ALLOC_ADDR_L_82_REG",       	0x490 ,  
"MAA_ALLOC_ADDR_L_83_REG",       	0x498 ,  
"MAA_ALLOC_ADDR_L_84_REG",       	0x4A0 ,   
"MAA_ALLOC_ADDR_L_85_REG",       	0x4A8 ,   
"MAA_ALLOC_ADDR_L_86_REG",       	0x4B0 ,   
"MAA_ALLOC_ADDR_L_87_REG",       	0x4B8 ,    
"MAA_ALLOC_ADDR_L_88_REG",       	0x4C0 ,    
"MAA_ALLOC_ADDR_L_89_REG",       	0x4C8 , 
"MAA_ALLOC_ADDR_L_90_REG",       	0x4D0 ,
"MAA_ALLOC_ADDR_L_91_REG",       	0x4D8 ,
"MAA_ALLOC_ADDR_L_92_REG",       	0x4E0 ,
"MAA_ALLOC_ADDR_L_93_REG",       	0x4E8 ,   
"MAA_ALLOC_ADDR_L_94_REG",       	0x4F0 ,  
"MAA_ALLOC_ADDR_L_95_REG",       	0x4F8 ,  
"MAA_ALLOC_ADDR_H_0_REG",        	0x204 ,  
"MAA_ALLOC_ADDR_H_1_REG",        	0x20C ,   
"MAA_ALLOC_ADDR_H_2_REG",        	0x214 ,   
"MAA_ALLOC_ADDR_H_3_REG",        	0x21C ,   
"MAA_ALLOC_ADDR_H_4_REG",        	0x224 ,    
"MAA_ALLOC_ADDR_H_5_REG",        	0x22C ,    
"MAA_ALLOC_ADDR_H_6_REG",        	0x234 , 
"MAA_ALLOC_ADDR_H_7_REG",        	0x23C ,
"MAA_ALLOC_ADDR_H_8_REG",        	0x244 ,
"MAA_ALLOC_ADDR_H_9_REG",        	0x24C ,
"MAA_ALLOC_ADDR_H_10_REG",       	0x254 ,   
"MAA_ALLOC_ADDR_H_11_REG",       	0x25C ,  
"MAA_ALLOC_ADDR_H_12_REG",       	0x264 ,  
"MAA_ALLOC_ADDR_H_13_REG",       	0x26C ,  
"MAA_ALLOC_ADDR_H_14_REG",       	0x274 ,   
"MAA_ALLOC_ADDR_H_15_REG",       	0x27C ,   
"MAA_ALLOC_ADDR_H_16_REG",       	0x284 ,   
"MAA_ALLOC_ADDR_H_17_REG",       	0x28C ,    
"MAA_ALLOC_ADDR_H_18_REG",       	0x294 ,    
"MAA_ALLOC_ADDR_H_19_REG",       	0x29C , 
"MAA_ALLOC_ADDR_H_20_REG",       	0x2A4 ,
"MAA_ALLOC_ADDR_H_21_REG",       	0x2AC ,
"MAA_ALLOC_ADDR_H_22_REG",       	0x2B4 ,
"MAA_ALLOC_ADDR_H_23_REG",       	0x2BC ,   
"MAA_ALLOC_ADDR_H_24_REG",       	0x2C4 ,  
"MAA_ALLOC_ADDR_H_25_REG",       	0x2CC ,  
"MAA_ALLOC_ADDR_H_26_REG",       	0x2D4 ,  
"MAA_ALLOC_ADDR_H_27_REG",       	0x2DC ,   
"MAA_ALLOC_ADDR_H_28_REG",       	0x2E4 ,   
"MAA_ALLOC_ADDR_H_29_REG",       	0x2EC ,   
"MAA_ALLOC_ADDR_H_30_REG",       	0x2F4 ,    
"MAA_ALLOC_ADDR_H_31_REG",       	0x2FC ,    
"MAA_ALLOC_ADDR_H_32_REG",       	0x304 , 
"MAA_ALLOC_ADDR_H_33_REG",       	0x30C ,
"MAA_ALLOC_ADDR_H_34_REG",       	0x314 ,
"MAA_ALLOC_ADDR_H_35_REG",       	0x31C ,
"MAA_ALLOC_ADDR_H_36_REG",       	0x324 ,   
"MAA_ALLOC_ADDR_H_37_REG",       	0x32C ,  
"MAA_ALLOC_ADDR_H_38_REG",       	0x334 ,  
"MAA_ALLOC_ADDR_H_39_REG",       	0x33C ,  
"MAA_ALLOC_ADDR_H_40_REG",       	0x344 ,   
"MAA_ALLOC_ADDR_H_41_REG",       	0x34C ,   
"MAA_ALLOC_ADDR_H_42_REG",       	0x354 ,   
"MAA_ALLOC_ADDR_H_43_REG",       	0x35C ,    
"MAA_ALLOC_ADDR_H_44_REG",       	0x364 ,    
"MAA_ALLOC_ADDR_H_45_REG",       	0x36C , 
"MAA_ALLOC_ADDR_H_46_REG",       	0x374 ,
"MAA_ALLOC_ADDR_H_47_REG",       	0x37C ,
"MAA_ALLOC_ADDR_H_48_REG",       	0x384 ,
"MAA_ALLOC_ADDR_H_49_REG",       	0x38C ,   
"MAA_ALLOC_ADDR_H_50_REG",       	0x394 ,  
"MAA_ALLOC_ADDR_H_51_REG",       	0x39C ,  
"MAA_ALLOC_ADDR_H_52_REG",       	0x3A4 ,  
"MAA_ALLOC_ADDR_H_53_REG",       	0x3AC ,   
"MAA_ALLOC_ADDR_H_54_REG",       	0x3B4 ,   
"MAA_ALLOC_ADDR_H_55_REG",       	0x3BC ,   
"MAA_ALLOC_ADDR_H_56_REG",       	0x3C4 ,    
"MAA_ALLOC_ADDR_H_57_REG",       	0x3CC ,    
"MAA_ALLOC_ADDR_H_58_REG",       	0x3D4 , 
"MAA_ALLOC_ADDR_H_59_REG",       	0x3DC ,
"MAA_ALLOC_ADDR_H_60_REG",       	0x3E4 ,
"MAA_ALLOC_ADDR_H_61_REG",       	0x3EC ,
"MAA_ALLOC_ADDR_H_62_REG",       	0x3F4 ,   
"MAA_ALLOC_ADDR_H_63_REG",       	0x3FC ,  
"MAA_ALLOC_ADDR_H_64_REG",       	0x404 ,  
"MAA_ALLOC_ADDR_H_65_REG",       	0x40C ,  
"MAA_ALLOC_ADDR_H_66_REG",       	0x414 ,   
"MAA_ALLOC_ADDR_H_67_REG",       	0x41C ,   
"MAA_ALLOC_ADDR_H_68_REG",       	0x424 ,   
"MAA_ALLOC_ADDR_H_69_REG",       	0x42C ,    
"MAA_ALLOC_ADDR_H_70_REG",       	0x434 ,    
"MAA_ALLOC_ADDR_H_71_REG",       	0x43C , 
"MAA_ALLOC_ADDR_H_72_REG",       	0x444 ,
"MAA_ALLOC_ADDR_H_73_REG",       	0x44C ,
"MAA_ALLOC_ADDR_H_74_REG",       	0x454 ,
"MAA_ALLOC_ADDR_H_75_REG",       	0x45C ,   
"MAA_ALLOC_ADDR_H_76_REG",       	0x464 ,  
"MAA_ALLOC_ADDR_H_77_REG",       	0x46C ,  
"MAA_ALLOC_ADDR_H_78_REG",       	0x474 ,  
"MAA_ALLOC_ADDR_H_79_REG",       	0x47C ,   
"MAA_ALLOC_ADDR_H_80_REG",       	0x484 ,   
"MAA_ALLOC_ADDR_H_81_REG",       	0x48C ,   
"MAA_ALLOC_ADDR_H_82_REG",       	0x494 ,    
"MAA_ALLOC_ADDR_H_83_REG",       	0x49C ,    
"MAA_ALLOC_ADDR_H_84_REG",       	0x4A4 , 
"MAA_ALLOC_ADDR_H_85_REG",       	0x4AC ,
"MAA_ALLOC_ADDR_H_86_REG",       	0x4B4 ,
"MAA_ALLOC_ADDR_H_87_REG",       	0x4BC ,
"MAA_ALLOC_ADDR_H_88_REG",       	0x4C4 ,   
"MAA_ALLOC_ADDR_H_89_REG",       	0x4CC ,  
"MAA_ALLOC_ADDR_H_90_REG",       	0x4D4 ,  
"MAA_ALLOC_ADDR_H_91_REG",       	0x4DC ,  
"MAA_ALLOC_ADDR_H_92_REG",       	0x4E4 ,   
"MAA_ALLOC_ADDR_H_93_REG",       	0x4EC ,   
"MAA_ALLOC_ADDR_H_94_REG",       	0x4F4 ,   
"MAA_ALLOC_ADDR_H_95_REG",       	0x4FC ,    
"MAA_RLS_POOL_ADDR_L_REG",       	0x500 ,    
"MAA_RLS_POOL_ADDR_H_REG",       	0x504 , 
"MAA_RLS_POOL_DEPTH_REG",        	0x508 ,
"MAA_RLS_POOL_WPTR_REG",         	0x50C ,
"MAA_RLS_POOL_RPTR_REG",         	0x510 ,
"MAA_RLS_POOL_UP_THRH_REG",      	0x514 ,   
"MAA_ACORE_ALLOC_CNT_0_REG",     	0x900 ,  
"MAA_ACORE_ALLOC_CNT_1_REG",     	0x980 ,  
"MAA_ACORE_ALLOC_CNT_2_REG",     	0xA00 ,  
"MAA_ACORE_ALLOC_CNT_3_REG",     	0xA80 ,   
"MAA_ACORE_ALLOC_CNT_4_REG",     	0xB00 ,   
"MAA_ACORE_ALLOC_CNT_5_REG",     	0xB80 ,   
"MAA_ALLOC_FIFO_CNT_0_REG",      	0x904 ,    
"MAA_ALLOC_FIFO_CNT_1_REG",      	0x984 ,    
"MAA_ALLOC_FIFO_CNT_2_REG",      	0xA04 , 
"MAA_ALLOC_FIFO_CNT_3_REG",      	0xA84 ,
"MAA_ALLOC_FIFO_CNT_4_REG",      	0xB04 ,
"MAA_ALLOC_FIFO_CNT_5_REG",      	0xB84 ,
"MAA_ALLOC_CNT_0_REG",      		 0x90C,   
"MAA_ALLOC_CNT_1_REG",      		 0x98C,  
"MAA_ALLOC_CNT_2_REG",      		 0xA0C,  
"MAA_ALLOC_CNT_3_REG",      		 0xA8C,  
"MAA_ALLOC_CNT_4_REG",      		 0xB0C,   
"MAA_ALLOC_CNT_5_REG",      		 0xB8C,   
"MAA_ALLOC_DESTN_CNT_0_REG",     	0x910 ,   
"MAA_ALLOC_DESTN_CNT_1_REG",     	0x990 ,    
"MAA_ALLOC_DESTN_CNT_2_REG",     	0xA10 ,    
"MAA_ALLOC_DESTN_CNT_3_REG",     	0xA90 , 
"MAA_ALLOC_DESTN_CNT_4_REG",     	0xB10 ,
"MAA_ALLOC_DESTN_CNT_5_REG",     	0xB90 ,
"MAA_ALLOC_DESTN_CNT_6_REG",     	0x914 ,
"MAA_ALLOC_DESTN_CNT_7_REG",     	0x994 ,   
"MAA_ALLOC_DESTN_CNT_8_REG",     	0xA14 ,  
"MAA_ALLOC_DESTN_CNT_9_REG",     	0xA94 ,  
"MAA_ALLOC_DESTN_CNT_10_REG",    	0xB14 ,  
"MAA_ALLOC_DESTN_CNT_11_REG",    	0xB94 ,   
"MAA_ALLOC_DESTN_CNT_12_REG",    	0x918 ,   
"MAA_ALLOC_DESTN_CNT_13_REG",    	0x998 ,   
"MAA_ALLOC_DESTN_CNT_14_REG",    	0xA18 ,    
"MAA_ALLOC_DESTN_CNT_15_REG",    	0xA98 ,    
"MAA_ALLOC_DESTN_CNT_16_REG",    	0xB18 , 
"MAA_ALLOC_DESTN_CNT_17_REG",    	0xB98 ,
"MAA_ALLOC_DESTN_CNT_18_REG",    	0x91C ,
"MAA_ALLOC_DESTN_CNT_19_REG",    	0x99C ,
"MAA_ALLOC_DESTN_CNT_20_REG",    	0xA1C ,   
"MAA_ALLOC_DESTN_CNT_21_REG",    	0xA9C ,  
"MAA_ALLOC_DESTN_CNT_22_REG",    	0xB1C ,  
"MAA_ALLOC_DESTN_CNT_23_REG",    	0xB9C ,  
"MAA_ALLOC_DESTN_CNT_24_REG",    	0x920 ,   
"MAA_ALLOC_DESTN_CNT_25_REG",    	0x9A0 ,   
"MAA_ALLOC_DESTN_CNT_26_REG",    	0xA20 ,   
"MAA_ALLOC_DESTN_CNT_27_REG",    	0xAA0 ,    
"MAA_ALLOC_DESTN_CNT_28_REG",    	0xB20 ,    
"MAA_ALLOC_DESTN_CNT_29_REG",    	0xBA0 , 
"MAA_ALLOC_DESTN_CNT_30_REG",    	0x924 , 
"MAA_ALLOC_DESTN_CNT_31_REG",    	0x9A4 , 
"MAA_ALLOC_DESTN_CNT_32_REG",    	0xA24 ,
"MAA_ALLOC_DESTN_CNT_33_REG",    	0xAA4 ,
"MAA_ALLOC_DESTN_CNT_34_REG",    	0xB24 ,
"MAA_ALLOC_DESTN_CNT_35_REG",    	0xBA4 ,
"MAA_DESTN_ALLOC_CNT_0_REG",     	0x930 ,
"MAA_DESTN_ALLOC_CNT_1_REG",     	0x9B0 ,
"MAA_DESTN_ALLOC_CNT_2_REG",     	0xA30 ,
"MAA_DESTN_ALLOC_CNT_3_REG",     	0xAB0 ,
"MAA_DESTN_ALLOC_CNT_4_REG",     	0xB30 ,
"MAA_DESTN_ALLOC_CNT_5_REG",     	0xBB0 ,
"MAA_DESTN_ALLOC_CNT_6_REG",     	0x934 ,
"MAA_DESTN_ALLOC_CNT_7_REG",     	0x9B4 ,
"MAA_DESTN_ALLOC_CNT_8_REG",     	0xA34 ,
"MAA_DESTN_ALLOC_CNT_9_REG",     	0xAB4 ,
"MAA_DESTN_ALLOC_CNT_10_REG",    	0xB34 ,
"MAA_DESTN_ALLOC_CNT_11_REG",    	0xBB4 ,
"MAA_DESTN_ALLOC_CNT_12_REG",    	0x938 ,
"MAA_DESTN_ALLOC_CNT_13_REG",    	0x9B8 ,
"MAA_DESTN_ALLOC_CNT_14_REG",    	0xA38 ,
"MAA_DESTN_ALLOC_CNT_15_REG",    	0xAB8 ,
"MAA_DESTN_ALLOC_CNT_16_REG",    	0xB38 ,
"MAA_DESTN_ALLOC_CNT_17_REG",    	0xBB8 ,
"MAA_DESTN_ALLOC_CNT_18_REG",    	0x93C ,
"MAA_DESTN_ALLOC_CNT_19_REG",    	0x9BC ,
"MAA_DESTN_ALLOC_CNT_20_REG",    	0xA3C ,
"MAA_DESTN_ALLOC_CNT_21_REG",    	0xABC ,
"MAA_DESTN_ALLOC_CNT_22_REG",    	0xB3C ,
"MAA_DESTN_ALLOC_CNT_23_REG",    	0xBBC ,
"MAA_DESTN_ALLOC_CNT_24_REG",    	0x940 ,
"MAA_DESTN_ALLOC_CNT_25_REG",    	0x9C0 ,
"MAA_DESTN_ALLOC_CNT_26_REG",    	0xA40 ,
"MAA_DESTN_ALLOC_CNT_27_REG",    	0xAC0 , 
"MAA_DESTN_ALLOC_CNT_28_REG",    	0xB40 , 
"MAA_DESTN_ALLOC_CNT_29_REG",    	0xBC0 ,  
"MAA_DESTN_ALLOC_CNT_30_REG",    	0x944 ,  
"MAA_DESTN_ALLOC_CNT_31_REG",    	0x9C4 ,  
"MAA_DESTN_ALLOC_CNT_32_REG",    	0xA44 ,  
"MAA_DESTN_ALLOC_CNT_33_REG",    	0xAC4 ,  
"MAA_DESTN_ALLOC_CNT_34_REG",    	0xB44 ,
"MAA_DESTN_ALLOC_CNT_35_REG",    	0xBC4 , 
"MAA_RLS_CNT_0_REG",             	0x960 , 
"MAA_RLS_CNT_1_REG",             	0x9E0 ,  
"MAA_RLS_CNT_2_REG",             	0xA60 ,  
"MAA_RLS_CNT_3_REG",             	0xAE0 ,  
"MAA_RLS_CNT_4_REG",             	0xB60 ,  
"MAA_RLS_CNT_5_REG",             	0xBE0 ,  
"MAA_RLS_ABANDON_CNT_REG",       	0xC00 ,
"MAA_CNT_CLK_EN_REG",            	0xD00 , 
"MAA_CNT_CLR_REG",               	0xD04 , 
"MAA_HAC_BP_DBG_REG",            	0x1000,  
"MAA_HAC_DATA_DBG_REG",          	0x1004,  
"MAA_HAC_PUSH_DBG_REG",          	0x1008,  
"MAA_HAC_DBG_REG",               	0x100C,  
"MAA_GS_DBG_REG",                	0x1010,  
"MAA_HAC_BP_INVALID_DATA_L_REG", 	0x1018,
"MAA_HAC_BP_INVALID_DATA_H_REG", 	0x101C, 
"MAA_OPIPE_BASE_ADDR_L_0_REG",     	0x1020,
"MAA_OPIPE_BASE_ADDR_H_0_REG",     	0x1024,
"MAA_OPIPE_DEPTH_0_REG",           	0x1028,
"MAA_OPIPE_WPTR_0_REG",            	0x102C,
"MAA_OPIPE_RPTR_0_REG",            	0x1030,
"MAA_OPIPE_UP_THRH_0_REG",         	0x1040,
"MAA_OPIPE_DN_THRH_0_REG",         	0x1044,
"MAA_OPIPE_SPACE_0_REG",           	0x1048,
"MAA_OPIPE_EN_0_REG",              	0x1060,
"MAA_OPIPE_CFG_DONE_0_REG",        	0x1064,
"MAA_OPIPE_DBG1_0_REG",            	0x1070,
"MAA_OPIPE_DBG0_0_REG",            	0x1074,
"MAA_OPIPE_BASE_ADDR_L_1_REG",     	0x10A0,
"MAA_OPIPE_BASE_ADDR_H_1_REG",     	0x10A4,
"MAA_OPIPE_DEPTH_1_REG",           	0x10A8,
"MAA_OPIPE_WPTR_1_REG",            	0x10AC,
"MAA_OPIPE_RPTR_1_REG",            	0x10B0,
"MAA_OPIPE_UP_THRH_1_REG",         	0x10C0,
"MAA_OPIPE_DN_THRH_1_REG",         	0x10C4,
"MAA_OPIPE_SPACE_1_REG",           	0x10C8,
"MAA_OPIPE_EN_1_REG",              	0x10E0,
"MAA_OPIPE_CFG_DONE_1_REG",        	0x10E4,
"MAA_OPIPE_DBG1_1_REG",            	0x10F0,
"MAA_OPIPE_DBG0_1_REG",            	0x10F4,
"MAA_OPIPE_BASE_ADDR_L_2_REG",     	0x1120,
"MAA_OPIPE_BASE_ADDR_H_2_REG",     	0x1124,
"MAA_OPIPE_DEPTH_2_REG",           	0x1128,
"MAA_OPIPE_WPTR_2_REG",            	0x112C,
"MAA_OPIPE_RPTR_2_REG",            	0x1130,
"MAA_OPIPE_UP_THRH_2_REG",         	0x1140,
"MAA_OPIPE_DN_THRH_2_REG",         	0x1144,
"MAA_OPIPE_SPACE_2_REG",           	0x1148,
"MAA_OPIPE_EN_2_REG",              	0x1160,
"MAA_OPIPE_CFG_DONE_2_REG",        	0x1164,
"MAA_OPIPE_DBG1_2_REG",            	0x1170,
"MAA_OPIPE_DBG0_2_REG",            	0x1174,
"MAA_OPIPE_BASE_ADDR_L_3_REG",     	0x11A0,
"MAA_OPIPE_BASE_ADDR_H_3_REG",     	0x11A4,
"MAA_OPIPE_DEPTH_3_REG",           	0x11A8,
"MAA_OPIPE_WPTR_3_REG",            	0x11AC,
"MAA_OPIPE_RPTR_3_REG",            	0x11B0,
"MAA_OPIPE_UP_THRH_3_REG",         	0x11C0,
"MAA_OPIPE_DN_THRH_3_REG",         	0x11C4,
"MAA_OPIPE_SPACE_3_REG",           	0x11C8,
"MAA_OPIPE_EN_3_REG",              	0x11E0,
"MAA_OPIPE_CFG_DONE_3_REG",        	0x11E4,
"MAA_OPIPE_DBG1_3_REG",            	0x11F0,
"MAA_OPIPE_DBG0_3_REG",            	0x11F4,
"MAA_OPIPE_BASE_ADDR_L_4_REG",     	0x1220,
"MAA_OPIPE_BASE_ADDR_H_4_REG",     	0x1224,
"MAA_OPIPE_DEPTH_4_REG",           	0x1228,
"MAA_OPIPE_WPTR_4_REG",            	0x122C,
"MAA_OPIPE_RPTR_4_REG",            	0x1230,
"MAA_OPIPE_UP_THRH_4_REG",         	0x1240,
"MAA_OPIPE_DN_THRH_4_REG",         	0x1244,
"MAA_OPIPE_SPACE_4_REG",           	0x1248,
"MAA_OPIPE_EN_4_REG",              	0x1260,
"MAA_OPIPE_CFG_DONE_4_REG",        	0x1264,
"MAA_OPIPE_DBG1_4_REG",            	0x1270,
"MAA_OPIPE_DBG0_4_REG",            	0x1274,
"MAA_OPIPE_BASE_ADDR_L_5_REG",     	0x12A0,
"MAA_OPIPE_BASE_ADDR_H_5_REG",     	0x12A4,
"MAA_OPIPE_DEPTH_5_REG",           	0x12A8,
"MAA_OPIPE_WPTR_5_REG",            	0x12AC,
"MAA_OPIPE_RPTR_5_REG",            	0x12B0,
"MAA_OPIPE_UP_THRH_5_REG",         	0x12C0,
"MAA_OPIPE_DN_THRH_5_REG",         	0x12C4,
"MAA_OPIPE_SPACE_5_REG",           	0x12C8,
"MAA_OPIPE_EN_5_REG",              	0x12E0,
"MAA_OPIPE_CFG_DONE_5_REG",        	0x12E4,
]

def maa_entry_parse(infile, outfile, offset):
    for i in range(0, int(int(len(maa_field_def)+1)/2)):
        infile.seek(0 + offset+int(maa_field_def[i*2+1]))
        (reg, ) = struct.unpack("I", infile.read(4))
        outfile.writelines("%s 0x%08x\n" %(maa_field_def[i*2], reg))
    return

def entry_0x1100010(infile, field, offset, slen, version, mode, outfile):
        try:
            outfile.writelines("============ maa ============\n")
            offset_v = eval(offset)
            maa_entry_parse(infile, outfile, offset_v)
            return 0

        except Exception as e:
            print((str(e)))
            outfile.writelines(str(e))
            return 1

